<?php

namespace STM\Sport;

use STM\StmFactory;

/**
 * Test class for SportValidator.
 * Generated by PHPUnit on 2012-03-28 at 11:26:20.
 * @group sport
 */
class SportValidatorTest extends \PHPUnit_Framework_TestCase {

    protected function setUp() {
        SportValidator::init();
    }
    
    public function testCheck_create() {        
        parent::assertTrue(SportValidator::checkCreate(array('sport' => 'testing string Football', 'parent_sport' => null)));
        $this->assert_bad_arguments('checkCreate', null);
        $this->assert_bad_arguments('checkCreate', array('sport' => 'a'));
    }

    public function testCheck_sport_name() {
        parent::assertTrue(SportValidator::checkSportName('testing string Tennis'));
        // string 2,50
        $this->assert_bad_arguments('checkSportName', null);
        $this->assert_bad_arguments('checkSportName', '1234567890123456789012345678901234567890123456789012');
    }

    public function testCheck_parent_sport() {
        // empty or instanceof Sport
        parent::assertTrue(SportValidator::checkParentSport(null));
        parent::assertTrue(SportValidator::checkParentSport(''));
        foreach (StmFactory::find()->Sport->findAll() as $sport) {
            parent::assertTrue(SportValidator::checkParentSport($sport));
        }
        // invalid
        $this->assert_bad_arguments('checkParentSport', 'Football');
        $this->assert_bad_arguments('checkParentSport', '1');
    }
    
    private function assert_bad_arguments($method, $data) {
        SportValidator::init();
        parent::assertFalse(SportValidator::$method($data));
        SportValidator::init();
    }
}

?>
